FLANG

Public Member Functions | List of all members
Fortran::semantics::Semantics Class Reference

## Public Member Functions
| Semantics (SemanticsContext &context, parser::Program &program, parser::CookedSource &cooked, bool debugModuleWriter=false)
SemanticsContext & | context () const
bool | Perform ()
const Scope & | FindScope (const parser::CharBlock &where) const
bool | AnyFatalError () const
void | EmitMessages (llvm::raw_ostream &) const
void | DumpSymbols (llvm::raw_ostream &)
void | DumpSymbolsSources (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Semantics/semantics.h
- lib/Semantics/semantics.cpp